javax.batch.api.partition

## Enum PartitionReducer.PartitionStatus

- java.lang.Object
- - java.lang.Enum<PartitionReducer.PartitionStatus>
  - - javax.batch.api.partition.PartitionReducer.PartitionStatus

All Implemented Interfaces:
  Serializable, Comparable<PartitionReducer.PartitionStatus>

Enclosing interface:
  PartitionReducer

    public static enum PartitionReducer.PartitionStatus
    extends Enum<PartitionReducer.PartitionStatus>

An enum used in `PartitionReducer.afterPartitionedStepCompletion(PartitionStatus)`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMMIT`
`ROLLBACK`

### Method Summary

Methods
`static PartitionReducer.PartitionStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PartitionReducer.PartitionStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMMIT

    public static final PartitionReducer.PartitionStatus COMMIT

#### ROLLBACK

    public static final PartitionReducer.PartitionStatus ROLLBACK

### Method Detail

#### values

    public static PartitionReducer.PartitionStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PartitionReducer.PartitionStatus c : PartitionReducer.PartitionStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PartitionReducer.PartitionStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0